Eclipse Remote Application Platform

## org.eclipse.swt.events
Class TypedEvent

    java.lang.Object
      SWTEventObject
          org.eclipse.swt.events.TypedEvent

Direct Known Subclasses:
  ArmEvent, ControlEvent, CTabFolderEvent, DisposeEvent, DragSourceEvent, DropTargetEvent, FocusEvent, GestureEvent, HelpEvent, KeyEvent, LocationEvent, MenuDetectEvent, MenuEvent, ModifyEvent, MouseEvent, PaintEvent, ProgressEvent, SelectionEvent, ShellEvent, StatusTextEvent, TouchEvent

    public class TypedEvent

extends SWTEventObject

This is the super class for all typed event classes provided by SWT. Typed events contain particular information which is applicable to the event occurrence.

See Also:
  `Event`

Field Summary
`java.lang.Object` `data` a field for application use
`Display` `display` the display where the event occurred
`int` `time` the time that the event occurred.
`Widget` `widget` the widget that issued the event

Constructor Summary
`TypedEvent(Event event)` Constructs a new instance of this class based on the information in the argument.
`TypedEvent(java.lang.Object source)` Constructs a new instance of this class.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### display

    public Display display

  the display where the event occurred

  Since:
    1.2

### widget

    public Widget widget

  the widget that issued the event

### time

    public int time

  the time that the event occurred. NOTE: This field is an unsigned integer and should be AND'ed with 0xFFFFFFFFL so that it can be treated as a signed long.

  Since:
    2.0

### data

    public java.lang.Object data

  a field for application use

Constructor Detail

### TypedEvent

    public TypedEvent(java.lang.Object source)

  Constructs a new instance of this class.

  Parameters:
    `source` - the object that fired the event
  Since:
    1.3

### TypedEvent

    public TypedEvent(Event event)

  Constructs a new instance of this class based on the information in the argument.

  Parameters:
    `event` - the low level event to initialize the receiver with

Method Detail

### toString

    public java.lang.String toString()

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0